
/* global api_url */

angular.module("app").service("UsuariosService", [
    '$uhttp',
    function ($uhttp) {
        var controller = "usuarios/";
        this.getAllUsuarios = function (by_page, data_tools_params) {
            return $uhttp({
                url: api_url + controller + 'get_all_usuarios' + '/by_page/' + by_page + data_tools_params
            });
        };
        this.getAllUsuariosActivos = function () {
            return $uhttp({
                url: api_url + controller + 'get_all_usuarios_activos'
            });
        };
        this.create = function (data) {
            return $uhttp({
                url: api_url + controller + 'create',
                method: "POST",
                data: data
            });
        };
        this.update = function (usuario_id, data) {
            return $uhttp({
                url: api_url + controller + 'update',
                method: "POST",
                data: data,
                params: {id: usuario_id}
            });
        };
        this.inactivateUsuario = function (usuario_id) {
            return $uhttp({
                url: api_url + 'usuarios/inactivate',
                method: "POST",
                params: {id: usuario_id}
            });
        };
        this.reactivateUsuario = function (usuario_id) {
            return $uhttp({
                url: api_url + 'usuarios/reactivate',
                method: "POST",
                params: {id: usuario_id}
            });
        };
        this.getUsuarioById = function (usuario_id) {
            return $uhttp({
                url: api_url + controller + 'get_usuario_by_id',
                params: {id: usuario_id}
            });
        };
    }
]);

